=== debian/changelog ===
ros-noetic-grpc (0.0.11-1buster) buster; urgency=high

  * Update package.xml
  * Fix build failure (#45 <https://github.com/CogRob/catkin_grpc/issues/45>)
  * Update package.xml (#44 <https://github.com/CogRob/catkin_grpc/issues/44>)
  * Support finding libraries for grpc v1.34.1 (#43 <https://github.com/CogRob/catkin_grpc/issues/43>)
  * Bump grpc version to v1.34.1 for supporting noetic (#42 <https://github.com/CogRob/catkin_grpc/issues/42>)
    * use git to fetch external project grpc
    * bump grpc version to v1.34.1
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use git to fetch external project grpc (#41 <https://github.com/CogRob/catkin_grpc/issues/41>)
    * use git to fetch external project grpc
    * Specify Cmake version for using GIT_REPOSITORY and GIT_CONFIG
    Co-authored-by: Shengye Wang <mailto:BillWSY@users.noreply.github.com>
  * use absolute path for RELATIVE_BASE_DIR (#37 <https://github.com/CogRob/catkin_grpc/issues/37>)
  * Contributors: JaeyoungLim, Shengye Wang, Tom Lankhorst, Yuki Furuta

 -- Shengye Wang <shengye@ucsd.edu>  Wed, 01 Jun 2022 15:00:00 -0000

ros-noetic-grpc (0.0.10-1buster) buster; urgency=high

  * Follow upstream grpc 1.15.1 (#33 <https://github.com/CogRob/catkin_grpc/issues/33>)
    * Sync grpc to upstream 1.15.1
    * Typo fix
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 25 Sep 2018 15:00:00 -0000

ros-noetic-grpc (0.0.9-1buster) buster; urgency=high

  * Fixed missing grpc++_core_stats library. It is a new library generated by gRPC.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.8-1buster) buster; urgency=high

  * Install grpcpp headers which was missing.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.7-1buster) buster; urgency=high

  * Update git tags to third party repos (#27 <https://github.com/CogRob/catkin_grpc/issues/27>)
  * Contributors: bikramak

 -- Shengye Wang <shengye@ucsd.edu>  Tue, 17 Apr 2018 15:00:00 -0000

ros-noetic-grpc (0.0.6-1buster) buster; urgency=high

  * Depend on zlib (#23 <https://github.com/CogRob/catkin_grpc/issues/23>) and link protobuf with zlib (#22 <https://github.com/CogRob/catkin_grpc/issues/22>) (#24 <https://github.com/CogRob/catkin_grpc/issues/24>)
  * Depend on absolute path of .proto file (#21 <https://github.com/CogRob/catkin_grpc/issues/21>)
    This should fix #20 <https://github.com/CogRob/catkin_grpc/issues/20>. The original concern was for some reason cmake re-generate protos if .proto is not within src. Initial test shows this is not the case, but should do more tests.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 19 Nov 2017 15:00:00 -0000

ros-noetic-grpc (0.0.5-1buster) buster; urgency=high

  * Fixes a problem in default SRC_BASE (#18 <https://github.com/CogRob/catkin_grpc/issues/18>)
    * Fix an issue when package directory is not the same as package name, protoc fails to generate files in the correct path
    * Improve the copy src/proto command
    * Revert "Improve the copy src/proto command"
    This reverts commit adfca498b7b3b00fb4c350675d3b4dbcb154fe75.
    * Fixes a problem that src in include is not installed
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Thu, 05 Oct 2017 15:00:00 -0000

ros-noetic-grpc (0.0.4-1buster) buster; urgency=high

  * Adds INCLUDE_DIRS and expose grpc/src/proto (#14 <https://github.com/CogRob/catkin_grpc/issues/14>)
    * Allows generate_proto to have specify include_dirs
    * Allow grpc's build-in protos to be used by clients
  * Minor documentation fix. (#13 <https://github.com/CogRob/catkin_grpc/issues/13>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 01 Oct 2017 15:00:00 -0000

ros-noetic-grpc (0.0.3-1buster) buster; urgency=high

  * Allows CMake to choose dynamic/static linking on grpc libraries
  * Some fix to grpc package. (#11 <https://github.com/CogRob/catkin_grpc/issues/11>)
    * Use all embedded third_party software, use grpc 1.6.x, use all static linking to avoid conflicts, move include dir
    * Use HTTPS download instead of GIT to speedup downloading
    * Missing libs
    * Adds boringssl with Bazel in third_party
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Fri, 29 Sep 2017 15:00:00 -0000

ros-noetic-grpc (0.0.2-1buster) buster; urgency=high

  * Lower version requirement for cmake so that the package can be built under
    trusty.
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Mon, 04 Sep 2017 15:00:00 -0000

ros-noetic-grpc (0.0.1-1buster) buster; urgency=high

  * Pre-release commit. (#1 <https://github.com/CogRob/catkin_grpc/issues/1>)
  * Contributors: Shengye Wang

 -- Shengye Wang <shengye@ucsd.edu>  Sun, 03 Sep 2017 15:00:00 -0000
