=== debian/control ===
Source: ros-noetic-grpc
Section: misc
Priority: optional
Maintainer: Shengye Wang <shengye@ucsd.edu>
Build-Depends: debhelper (>= 9.0.0), autoconf, git, libltdl-dev, libtool, libtool-bin, ros-noetic-catkin, rsync, zlib1g-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-grpc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, rsync
Description: Catkinized gRPC Package
